メインコンテンツへスキップ
POST
/
crm-object-schemas
/
2026-03
/
schemas
/
batch
/
read
バッチリクエストで複数のカスタムオブジェクトスキーマを取得します。
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeAssociationDefinitions": true,
  "includeAuditMetadata": true,
  "includePropertyDefinitions": true,
  "inputs": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read"

payload = {
"includeAssociationDefinitions": True,
"includeAuditMetadata": True,
"includePropertyDefinitions": True,
"inputs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeAssociationDefinitions: true,
includeAuditMetadata: true,
includePropertyDefinitions: true,
inputs: ['<string>']
})
};

fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "allowsSensitiveProperties": true,
      "archived": true,
      "associations": [
        {
          "fromObjectTypeId": "<string>",
          "id": "<string>",
          "toObjectTypeId": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "fullyQualifiedName": "<string>",
      "id": "<string>",
      "labels": {
        "plural": "<string>",
        "singular": "<string>"
      },
      "name": "<string>",
      "objectTypeId": "<string>",
      "properties": [
        {
          "description": "<string>",
          "fieldType": "<string>",
          "groupName": "<string>",
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "hidden": true,
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "<string>",
          "archived": true,
          "archivedAt": "2023-11-07T05:31:56Z",
          "calculated": true,
          "calculationFormula": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdUserId": "<string>",
          "currencyPropertyName": "<string>",
          "displayOrder": 123,
          "externalOptions": true,
          "formField": true,
          "hasUniqueValue": true,
          "hidden": false,
          "hubspotDefined": true,
          "modificationMetadata": {
            "archivable": true,
            "readOnlyDefinition": true,
            "readOnlyValue": true,
            "readOnlyOptions": true
          },
          "referencedObjectType": "<string>",
          "sensitiveDataCategories": [
            "<string>"
          ],
          "showCurrencySymbol": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedUserId": "<string>"
        }
      ],
      "requiredProperties": [
        "<string>"
      ],
      "searchableProperties": [
        "<string>"
      ],
      "secondaryDisplayProperties": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "createdByUserId": 123,
      "description": "<string>",
      "primaryDisplayProperty": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedByUserId": 123
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
includeAssociationDefinitions
boolean
必須

関連付けの定義をレスポンスに含めるかどうかを示します。

includeAuditMetadata
boolean
必須

監査メタデータをレスポンスに含めるかどうかを示します。

includePropertyDefinitions
boolean
必須

プロパティー定義をレスポンスに含めるかどうかを示します。

inputs
string[]
必須

レスポンス

successful operation

results
object[]
必須
最終更新日 2026年4月10日